Name:           xaos
Version:        3.4
Release:        2%{?dist}
Summary:        A fast, portable real-time interactive fractal zoomer

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://xaos.sourceforge.net
Source0:        http://surfnet.dl.sourceforge.net/sourceforge/xaos/XaoS-%{version}.tar.gz
Source1:	xaos.png
Source2:        config.sub
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  slang-devel
BuildRequires:	zlib-devel
BuildRequires:	libpng-devel
BuildRequires:	aalib-devel
BuildRequires:  gpm-devel
BuildRequires:  gsl-devel
BuildRequires:  gtk2-devel
BuildRequires:	ncurses-devel
BuildRequires:	libXt-devel
BuildRequires:	libX11-devel
BuildRequires:	libXext-devel
BuildRequires:	libXxf86vm-devel
BuildRequires:	libXxf86dga-devel
BuildRequires:	dvipdfm
BuildRequires:	texinfo
BuildRequires:	texinfo-tex
BuildRequires:  desktop-file-utils
BuildRequires:	gettext
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info


%description
XaoS is a fast, portable real-time interactive fractal zoomer. It
displays the Mandelbrot set (among other escape time fractals) and
allows you zoom smoothly into the fractal. Various coloring modes are
provided for both the points inside and outside the selected set. XaoS
supports switching between Julia and Mandelbrot fractal types and
on-the-fly plane switching.


%prep
%setup0 -q -n XaoS-%version
cp %{SOURCE2} .
# disable stripping binaries when installing
sed -i 's| -s | |' Makefile.in

%build
%configure --with-gsl=yes --with-png=yes --with-gtk-driver=yes --with-aa-driver=yes
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_infodir}
make install DESTDIR=$RPM_BUILD_ROOT
pushd doc
make xaos.dvi
dvipdfm xaos.dvi
popd
pushd help
make html
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps

cat > xaos.desktop <<EOF
[Desktop Entry]
Name=XaoS
Comment=Interactive fractal zoomer
Exec=xaos -driver "GTK+ Driver"
Icon=xaos
Terminal=false
Type=Application
Categories=Application;Education;Math;Graphics;
Encoding=UTF-8
X-Desktop-File-Install-Version=0.10
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
	--vendor fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        xaos.desktop

rm -f $RPM_BUILD_ROOT%{_datadir}/XaoS/catalogs/README
rm -fr $RPM_BUILD_ROOT%{_datadir}/XaoS/doc
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

find $RPM_BUILD_ROOT%{_prefix} -exec chmod u+rw '{}' ';'

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/xaos.info %{_infodir}/dir 2>/dev/null || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/xaos.info %{_infodir}/dir 2>/dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README RELEASE_NOTES COPYING TODO ChangeLog
%doc doc/AUTHORS doc/SPONSORS doc/xaos.pdf doc/PROBLEMS
%doc --parents help/*.html help/*.jpg 
%{_bindir}/*
%{_infodir}/*
%{_datadir}/XaoS
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man*/*


%changelog
* Wed Aug 20 2008 Gerard Milmeister <gemi@bluewin.ch> - 3.4-2
- enabled GTK driver

* Wed Aug 20 2008 Gerard Milmeister <gemi@bluewin.ch> - 3.4-1
- new release 3.4

* Tue Aug 12 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 3.2.3-5
- Fix license tag.

* Fri Feb 22 2008 Gerard Milmeister <gemi@bluewin.ch> - 3.2.3-3
- added BR dvipdfm

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.2.3-2
- Autorebuild for GCC 4.3

* Sat Dec  2 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.2.3-1
- new version 3.2.3

* Sun Nov  5 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.2.2-1
- new version 3.2.2

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.2.1-4
- Rebuild for FE6
- added BR: gettext

* Sat Jun 10 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.2.1-3
- disabled stripping of binaries

* Tue Jun  6 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.2.1-2
- added BuildReq: libXt-devel
- fixed permissions
- added .desktop file
- added icon

* Sun Jun  4 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.2.1-1
- new version 3.2.1

* Sat Feb  4 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.2-1
- new version 3.2

* Sun Dec 18 2005 Gerard Milmeister <gemi@bluewin.ch> - 3.1.3-1
- New Version 3.1.3

* Thu Mar 31 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:3.1-0.fdr.1
- New Version 3.1.2

* Sun Jul 18 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:3.1-0.fdr.1
- First Fedora release
